HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostTerminalConnectionTokens

Contains the different functions to run the operation postTerminalConnectionTokens

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostTerminalConnectionTokens.hs
valuepostTerminalConnectionTokens
  1. :: MonadHTTP m
  2. => Maybe PostTerminalConnectionTokensRequestBody

    The request body to send

  3. -> ClientT m (Response PostTerminalConnectionTokensResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/terminal/connection_tokens

<p>To connect to a reader the Stripe Terminal SDK needs to retrieve a short-lived connection token from Stripe, proxied through your server. On your backend, add an endpoint that creates and returns a connection token.</p>

Defines the object schema located at paths./v1/terminal/connection_tokens.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postTerminalConnectionTokens.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostTerminalConnectionTokensResponseError is used.

Constructors

Instances2Eq, Show